@import "scrollbar.css";
@import "divider.css";
@import "coin.css";

    * {
        --item-size: 23vmin;
    }

    #items {
        height: 100vw;
        position: fixed;
        bottom: -106vw;
        padding-top: 6vw;
        transform-origin: top left;
        overflow-x: hidden;
        overflow-y: scroll;
        clip: rect(0px, 30vmin, 100vw, 0px);

        transform: rotate(-90deg);
    }
    #hideSplash:checked ~ #main > #items {
        mask: url(/images/gradient.png) 0 0/34vh 100vw no-repeat;
        -webkit-mask-image: url(/images/gradient.png);
        -webkit-mask-size: 34vh 100vw;
        -webkit-mask-repeat: no-repeat;
    }
    .item {
        width:  var(--item-size);
        height: var(--item-size);
        margin: -5vmin 3.4vmin -5vmin calc(var(--item-size) / 4.20);
        display: inline-block;

        background-size: 22vmin;
        background-repeat: no-repeat;
        background-position: center center;

        transform-origin: center;
        transform: translate(-100vh, 0) rotate(90deg);
        cursor: pointer;
        opacity: 0.75;
    }
    .item:hover {
        opacity: 1;
        transition: opacity 0.17s 0.05s ease-in, background-size 0.23s ease-out, margin-left 0.1s ease-out;
        background-size: var(--item-size);
    }
    .item:active {
        margin-left: calc(var(--item-size) / 5);
        transition: margin-left 0.05s ease-out;
    }
    .item:first-child {
        margin-top: -2vw;
    }
    .item:last-child {
        margin-bottom: 11vw;
    }

    #items .oro {
        background-image: url(/images/oro.svg);
        background-size: calc(2 * var(--item-size) / 3);
    }
    #items .chao {
    background-image: url(https://upload.wikimedia.org/wikipedia/commons/8/8d/FlashyChaosphere.png);
    }

@keyframes rise {
    100% { transform: translate(0, 0) rotate(90deg); }
}
    #hideSplash:checked ~ #main #items .oro {
        animation: rise 0.25s 1.0s  cubic-bezier(1, 1, .23, 1) forwards;
    }
    #hideSplash:checked ~ #main #items .chao {
        animation: rise 2.75s 2.0s cubic-bezier(1, 1, .23, 1) forwards;
    }
